VERSION 5.00
Begin VB.Form frmTestAnim 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "CGAnimation Tester"
   ClientHeight    =   3240
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4215
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3240
   ScaleWidth      =   4215
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   3045
      Top             =   1305
   End
   Begin VB.CheckBox chkShowCancel 
      Caption         =   "Show Cancel Button"
      Height          =   240
      Left            =   1350
      TabIndex        =   7
      Top             =   540
      Width           =   1800
   End
   Begin VB.CheckBox chkProgress 
      Caption         =   "Show Progress Bar"
      Height          =   270
      Left            =   1350
      TabIndex        =   6
      Top             =   120
      Width           =   1680
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Print"
      Height          =   495
      Index           =   5
      Left            =   15
      TabIndex        =   5
      Top             =   2715
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Search"
      Height          =   495
      Index           =   4
      Left            =   15
      TabIndex        =   4
      Top             =   2190
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Find"
      Height          =   495
      Index           =   3
      Left            =   15
      TabIndex        =   3
      Top             =   1665
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Delete"
      Height          =   495
      Index           =   2
      Left            =   15
      TabIndex        =   2
      Top             =   1140
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Move"
      Height          =   495
      Index           =   1
      Left            =   15
      TabIndex        =   1
      Top             =   615
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Copy"
      Height          =   495
      Index           =   0
      Left            =   15
      TabIndex        =   0
      Top             =   90
      Width           =   1215
   End
   Begin VB.Label Label2 
      Caption         =   "http://www.codeguru.com/vb"
      ForeColor       =   &H8000000D&
      Height          =   255
      Left            =   1350
      TabIndex        =   9
      Top             =   2745
      Width           =   2760
   End
   Begin VB.Label Label1 
      Caption         =   "Chris Eastwood Jan/Feb 1999"
      ForeColor       =   &H8000000D&
      Height          =   255
      Left            =   1335
      TabIndex        =   8
      Top             =   2460
      Width           =   2790
   End
End
Attribute VB_Name = "frmTestAnim"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'
' frmTestAnim
'
' Chris Eastwood 1999
'
' http://www.codeguru.com/vb
'
'
' This form is used for testing the CGAnimate Component
'
'
' Note that you don't need the WithEvents here
' only if you want to respond to the cancel button
'
Private WithEvents mAnim As CGAnimation.CAnimateDlg
Attribute mAnim.VB_VarHelpID = -1
Private mCurAnimType As CGAnimation.aniType

Private Sub Command2_Click()
    mAnim.Destroy
End Sub

Private Sub Command1_Click(Index As Integer)
    Dim tAniType As aniType
    Dim sCaption As String
    Dim sLabelCaption As String
    Dim bShowProgressBar As Boolean
    Dim bShowCancel As Boolean
    Dim lCount As Long
    Dim lPercent As Long
    
    tAniType = Index + 1
    
    Select Case tAniType
        Case aniCopy
            sCaption = "Copying Some Stuff"
            sLabelCaption = "Please wait..... Doing a copy"
        Case aniMove
            sCaption = "Moving some things around"
            sLabelCaption = "Please wait... Moving stuff"
        Case aniDelete
            sCaption = "Deleting all kinds of stuff"
            sLabelCaption = "Please be patient"
        Case aniSearch
            sCaption = "Searching for something"
            sLabelCaption = "Please wait while I look down the back of the sofa"
        Case aniFind
            sCaption = "Looking for something .."
            sLabelCaption = "It shouldn't be long......"
        Case aniPrint
            sCaption = "Printing Something"
            sLabelCaption = "Please wait for someone elses print job"
    End Select
    bShowProgressBar = chkProgress.Value = vbChecked
    bShowCancel = chkShowCancel.Value = vbChecked
    
'
' Destroy - just in case we have one running already
'
    
    mAnim.Destroy
    
    mAnim.Create tAniType, sCaption, sLabelCaption, bShowCancel, bShowProgressBar
'
' Enable the timer to update the progress bar
' - this just simulates update the Percent property
' in a lengthy operation.
'
    If bShowProgressBar Then
        Timer1.Enabled = True
    End If
    
End Sub

Private Sub Form_Load()
    Set mAnim = New CAnimateDlg
    
End Sub

Private Sub Option1_Click(Index As Integer)
    mCurAnimType = Index + 1
End Sub

Private Sub mAnim_Cancelled()
'
' Stop the timer from updating the dialogue
'
    Timer1.Enabled = False
    
    MsgBox "User Cancelled operation"
End Sub

Private Sub Timer1_Timer()
    Static lCount As Long
    lCount = lCount + 5
    
    If lCount > 100 Then
        lCount = 0
    End If
    
    mAnim.PercentDone = lCount
    
End Sub
